Corso Autocad

 

Credits

 
 Home  

descrizione corsi    iscrizione corso autocad    indice autocad 3D    indice autocad 2D

   
       
                    

 

   

  Corso Autolisp   Indice delle lezioni autolisp  

   

13 lezione corso autolisp

 

Polar
Questa  funzione restituisce il punto partendo da un punto specificato e comunicando angolo e distanza dal punto.

(polar punto angolo distanza)

dove punto il punto di riferimento
angolo l'angolo espresso in radianti
distanza la distanza che deve avere il punto da quello iniziale.

Esempio:

(defun c:miopunto()
(setq puntoin(getpoint "\ninserischi punto iniziale"))
(setq angolo(getangle "\nInserisci angolo"))
(setq distanza(getdist"\nInserisci distanza"))
(setq puntonew(polar puntoin angolo distanza ))
(command "_line" puntoin puntonew "")
(princ)
)


salviamo il file lez13.lsp 
eseguiamo autocad e scriviamo nella linea di comando
(load "lez13")
facciamo Invio
quindi scriveremo
miopunto


Scarica l'esempio    

R. Pucci

Indice delle lezioni autolisp     Lezione precedente   Lezione successiva

 

 

 

 
   
Tutti i nomi di marchi e nomi di prodotti citati nel testo e nei sorgenti sono marchi depositati o registrati dai rispettivi proprietari
 


 


 

  
 Contatti

descrizione corsi    iscrizione corso autocad    indice autocad 3D    indice autocad 2D    Motore di ricerca veliero

 

I cookie tecnici sul nostro sito aiutano a fornire i nostri servizi. Si usano inoltre cookie di terze parti per la profilazione delle preferenze nell'ambito della navigazione in rete. Navigando sul sito accetti il loro utilizzo.   Informazioni
OK